Bug 728880 - kobo.django.fields.StateEnumField is not Django 1.2 compliant
Summary: kobo.django.fields.StateEnumField is not Django 1.2 compliant
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kobo
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Mach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 728448
TreeView+ depends on / blocked
 
Reported: 2011-08-08 09:21 UTC by Martin Magr
Modified: 2015-02-18 11:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:20:24 UTC


Attachments (Terms of Use)
StateEnumField patch (1.16 KB, patch)
2011-08-08 09:21 UTC, Martin Magr
no flags Details | Diff
get_db_prep_value calling fix (757 bytes, patch)
2011-08-22 08:45 UTC, Martin Magr
no flags Details | Diff

Description Martin Magr 2011-08-08 09:21:13 UTC
Created attachment 517146 [details]
StateEnumField patch

According to Django documentation StateEnumField methods get_db_prep_save and get_db_prep_value have to accept connection attribute.

doc: https://docs.djangoproject.com/en/dev/howto/custom-model-fields/#django.db.models.Field.get_db_prep_save

Patch is attached.

Comment 1 Martin Magr 2011-08-22 08:45:54 UTC
Created attachment 519242 [details]
get_db_prep_value calling fix

Because of magic in django/db/models/fields/subclassing.py calling of method get_db_prep_value with position argument 'connection' throws exception. Calling the method with keyword argument has been changed in this patch.

Comment 2 Daniel Mach 2011-08-23 11:30:13 UTC
pushed to git repo

Comment 3 Martin Magr 2012-12-19 15:39:48 UTC
Verified.

Comment 4 Fedora End Of Life 2013-04-03 20:39:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 5 Fedora End Of Life 2015-01-09 22:41:31 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-02-18 11:20:24 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.